Page 1 of 3 123 LastLast
Results 1 to 10 of 21

Thread: Having trouble getting Lich.

  1. #1
    Join Date
    Jun 2011
    Location
    Central IL
    Posts
    34

    Default Having trouble getting Lich.

    Hey everyone,

    I used to play ages ago in another life with other people who introduced me to the game. When that fizzled, I dropped the game. But you know what? Sometimes, I really miss playing.

    Problem is? They were computer savvy and I’m so not. They set it up for me several laptops ago.

    Last night I created a free account and a quick character to try to figure it out before paying the money to reactivate. I have a Dell PC laptop running Windows 10.

    I was able to get Stormfront to work, but I can’t get lich. I think it’s a Ruby problem. I tried downloading the recommended version of Ruby and it seemed to install? But then when I try to unzip lich I get an error message that says Ruby doesn’t have a thing it needs. I can be more specific later, which I realize might help, but I figured I’d ask to see if this is a common problem that can be easily fixed.

    I want to say when I played before it was on Windows XP.
    Last edited by Alrisaren; 07-27-2018 at 01:15 PM.

  2. #2
    Join Date
    Mar 2008
    Location
    N. Carolina, USA
    Posts
    227

    Default

    It sounds like a Ruby issue. Make sure you used v2.0.0 and NOT the 64bit version. Direct link: https://dl.bintray.com/oneclick/ruby...2.0.0-p648.exe for the lazy.
    Websites
    Tillmen's Lich Homepage
    Lich Wiki Info
    Elanthia Online Forums
    Elanthia Online Github Repository - Collaborative script development by the community. (now home to ;bigshot and gameobj-data.xml)

    Player of Tysong

  3. #3
    Join Date
    Jun 2011
    Location
    Central IL
    Posts
    34

    Default

    Heh. So I thought I'd done that. But I clicked on that link (thank you!) over my lunch break and it seemed to work. Where it got messed up before was it couldn't figure out how to get the sql thingy. But it did it this time. Then it got the other thing. And then voila, I was in the game.

    And scripts don't work. I tried ;narost. I tried ;go2. I tried ;infomon

    Lich gave me messages back saying it couldn't find them. Is this a thing too?

    Around the same time, my laptop announced that it needed to update and restart, so I figured that didn't seem like a terrible idea in any case. I hadn't restarted after doing the above. It was still doing its thing when I had to leave to return to work.

    So I will try again when I get home. But if anyone has any insight in the meantime, it is very welcome. I kinda wish I knew someone local who played whom I could throw a few bucks at to do all this for me.

    ~A

    Alright. Don't answer me yet. I'm rereading the intro thread again and I think I know what I did wrong. Namely I didn't try ;repository download. Just assumed they'd all be there. Let me do that when I get home. See? I'm not terribly bright

    Fingers crossed.
    Last edited by Alrisaren; 07-27-2018 at 03:52 PM.

  4. #4

    Default

    Watch this, it explains EXACTLY how to do it.


  5. #5
    Join Date
    Jun 2011
    Location
    Central IL
    Posts
    34

    Default

    Sweet! I will totally watch that when I get home. :-D

  6. #6
    Join Date
    Mar 2008
    Location
    N. Carolina, USA
    Posts
    227

    Default

    Also sounds like you may not of extracted the full LICH zip file and only extracted the main lich.rbw file from it instead. Which would give you the whole error message of not finding the scripts you mentioned.
    Websites
    Tillmen's Lich Homepage
    Lich Wiki Info
    Elanthia Online Forums
    Elanthia Online Github Repository - Collaborative script development by the community. (now home to ;bigshot and gameobj-data.xml)

    Player of Tysong

  7. #7
    Join Date
    Jun 2011
    Location
    Central IL
    Posts
    34

    Default

    Yeah. I actually deleted everything and started over following the video exactly. At the part where you're entering lich for the first time and are "hit with a bunch of repository downloads".

    Yeah. That didn't happen. Even ;repository didn't work. So yes, I have lich. But my lich doesn't know anything.

    Any way to make those downloads happen that the video says are automatic? Done it twice now. Same thing.
    Last edited by Alrisaren; 07-28-2018 at 02:29 AM.

  8. #8

    Default

    You most likely have a too advanced Ruby. That was my problem. I had to google ruby v. 2.0 and find a third party download site to get it from - the Ruby people are too advanced now on their actual website.

  9. #9
    Join Date
    Jan 2003
    Location
    The Danger Zone
    Posts
    10,593
    Blog Entries
    2

    Default

    Quote Originally Posted by dszabo View Post
    You most likely have a too advanced Ruby. That was my problem. I had to google ruby v. 2.0 and find a third party download site to get it from - the Ruby people are too advanced now on their actual website.
    You shouldn't have to google a third party website, the download for 2.0.0 is in their archives. Horibu already provided a link.
    You had better pay your guild dues before you forget. You are 113 months behind.

  10. #10

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •